searchNodes=[{"doc":"This module defines the implementation of VROOM (Vehicle Routing Open-Source Optimization Machine) HTTP client.","ref":"VROOM.html","title":"VROOM","type":"module"},{"doc":"Calls the VROOM API and get the computed solution. The computed solution follows the VROOM output. For more info, check the output section in the docs.","ref":"VROOM.html#solve/4","title":"VROOM.solve/4","type":"function"},{"doc":"Defines a break during a route. A Vehicle can have many breaks. The Break struct has the following properties: time_windows : an list of time_window objects describing valid slots for break start; service : break duration (defaults to 0); description : a string describing a break","ref":"VROOM.Break.html","title":"VROOM.Break","type":"module"},{"doc":"","ref":"VROOM.Break.html#t:t/0","title":"VROOM.Break.t/0","type":"type"},{"doc":"A Job is a description of a place to visit. The Job struct has the folling properties: id : the job identifier; location : the coordinates list location_index]: index of relevant row and column in custom matrix; service : job service duration (defaults to 0); amount : an list of integers describing multidimensional quantities; delivery : an list of integers describing multidimensional quantities for delivery; pickup : an list of integers describing multidimensional quantities for pickup; skills : an list of integers defining mandatory skills; priority : an integer in the [0, 100] range describing priority level (defaults to 0); time_windows : an list of time_window structs describing valid slots for job service start","ref":"VROOM.Job.html","title":"VROOM.Job","type":"module"},{"doc":"","ref":"VROOM.Job.html#t:t/0","title":"VROOM.Job.t/0","type":"type"},{"doc":"Describe pickup and delivery task. The Shipment struct has the follwing properties: pickup : a shipment_step struct describing pickup; elivery a shipment_step struct describing delivery; amount : an list of integers describing multidimensional quantities; skills : an list of integers defining mandatory skills; priority : an integer in the [0, 100] range describing priority level (defaults to 0)","ref":"VROOM.Shipment.html","title":"VROOM.Shipment","type":"module"},{"doc":"","ref":"VROOM.Shipment.html#t:t/0","title":"VROOM.Shipment.t/0","type":"type"},{"doc":"It's similar to a Job. The ShipmentStep has the following properties: description : a string describing this step; location : coordinates list; location_index : index of relevant row and column in custom matrix; service : task service duration (defaults to 0); time_windows : an list of time_window structs describing valid slots for task service start","ref":"VROOM.Shipment.Step.html","title":"VROOM.Shipment.Step","type":"module"},{"doc":"","ref":"VROOM.Shipment.Step.html#t:coordinates/0","title":"VROOM.Shipment.Step.coordinates/0","type":"type"},{"doc":"","ref":"VROOM.Shipment.Step.html#t:t/0","title":"VROOM.Shipment.Step.t/0","type":"type"},{"doc":"Describes what kind of transportation type the driver is using. The default profile is car . The Vehicle struct has the following properties: profile : routing profile (defaults to car) description : a string describing this vehicle start : coordinates list start_index : index of relevant row and column in custom matrix end : coordinates list end_index : index of relevant row and column in custom matrix capacity : an list of integers describing multidimensional quantities skills : an list of integers defining skills time_window : a time_window struct describing working hours breaks : an list of break structs steps : an list of vehicle_step structs describing a custom route for this vehicle (only makes sense when using -c)","ref":"VROOM.Vehicle.html","title":"VROOM.Vehicle","type":"module"},{"doc":"","ref":"VROOM.Vehicle.html#t:coordinates/0","title":"VROOM.Vehicle.coordinates/0","type":"type"},{"doc":"","ref":"VROOM.Vehicle.html#t:t/0","title":"VROOM.Vehicle.t/0","type":"type"},{"doc":"Defines a Vehicle Step object. The Vehicle.Step struct has the following properties: type : a string (either start, job, pickup, delivery, break or end) id : id of the task to be performed at this step if type value is job, pickup, delivery or break; service_at : hard constraint on service time; service_after : hard constraint on service time lower bound; service_before : hard constraint on service time upper bound; https://github.com/VROOM-Project/vroom/blob/master/docs/API.md#vehicles","ref":"VROOM.Vehicle.Step.html","title":"VROOM.Vehicle.Step","type":"module"},{"doc":"","ref":"VROOM.Vehicle.Step.html#t:t/0","title":"VROOM.Vehicle.Step.t/0","type":"type"},{"doc":"vroom-elixir Implementation of VROOM (Vehicle Routing Open-Source Optimization Machine) HTTP client for Elixir.","ref":"readme.html","title":"vroom-elixir","type":"extras"},{"doc":"Install defp deps ( ) do [ { :vroom , &quot;~&gt; 0.1.0&quot; } ] end Configuration # config/config.exs config :vroom , url : &quot;VROOM URL&quot; , timeout : 15000 # config/prod.exs config :vroom , url : &quot;VROOM URL PROD&quot; Example defmodule Router do def solve_route do shipment = % VROOM.Shipment { amount : [ 1 ] , pickup : % VROOM.Shipment.Step { id : 1 , description : &quot;Pickup #1&quot; , location : [ - 49.273080825805664 , - 25.437422762495064 ] } , delivery : % VROOM.Shipment.Step { id : 2 , description : &quot;Delivery #1&quot; , location : [ - 49.264068603515625 , - 25.436686416884992 ] } } vehicle = % VROOM.Vehicle { capacity : [ 3 ] , description : &quot;John Doe&quot; , id : 1 , profile : &quot;car&quot; , start : [ - 49.273080825805664 , - 25.437422762495064 ] } %{ &quot;code&quot; =&gt; 0 , &quot;routes&quot; =&gt; routes } = VROOM . solve ( [ vehicle ] , [ shipment ] , [ ] , %{ g : true } ) routes end end For more info, check out the docs","ref":"readme.html#usage","title":"vroom-elixir - Usage","type":"extras"}]